#include<iostream>
#include<iomanip>
#include<vector>
using namespace std;
int main () {
	ios_base::sync_with_stdio(false);
	string s;
	cin>>s;
	string s1=s;
	for(int i=0, j=s.size()-1; i<=s.size()/2-1, j>=(s.size()-1)/2+1; i++, j--) {
			if(s[i]==s[j]) continue;
			else {
			int	 x=s.find(s[i], i+1);
				if(x==string::npos || x>j) {
					swap(s[i], s[s.size()/2]);
				}
				else swap(s[x], s[j]);
				
			}
	}
	vector<int>a;
	for(int i=0; i<s.size(); i++) {
		if(s[i]!=s1[i]) a.push_back(i);
	}
	if(a.size()!=0)	cout<<a[a.size()-1]-a[0]+1;
	else cout<<1;

return 0;
}